# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXIsElementValidSequential, DXIsElementInvalidSequential

Function

Return the validity of a specified element of an invalid-component handle when the queries come in sequential order.

Syntax
`
#include <dx/dx.h>
`

int DXIsElementValidSequential(InvalidComponentHandle handle, int index)
int DXIsElementInvalidSequential(InvalidComponentHandle handle, int index)

Functional Details

Access with either routine is generally faster than with `DXIsElementInvalid` or `DXIsElementValid`.

The result reflects both the initial conditions of `handle` when it was created with `DXCreateInvalidComponentHandle`, and of the effects of any calls to `DXSetElementInvalid`, `DXSetElementValid`, `DXInvertValidity`, `DXSetAllValid`, or `DXSetAllInvalid`.

Note: | Accesses must be in sequential order; if they are not, the results may be incorrect.

Return Value

`DXIsElementInvalidSequential` returns TRUE (1) if element `index` is marked invalid, and returns FALSE (0) otherwise.

`DXIsElementValidSequential` returns TRUE (1) if element `index` is marked valid, and returns FALSE (0) otherwise.

See Also

`DXCreateInvalidComponentHandle, DXFreeInvalidComponentHandle`

14.3 , "Invalid Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]